Loading...
Searching...
No Matches
pcl::NdCopyEigenPointFunctor< PointOutT > Struct Template Reference

Helper functor structure for copying data between an Eigen type and a PointT. More...

`#include <pcl/point_cloud.h>`

## Public Types

using | Pod = typename traits::POD< PointOutT >::type

## Public Member Functions

| NdCopyEigenPointFunctor (const Eigen::VectorXf &p1, PointOutT &p2)
| Constructor.
template<typename Key >
void | operator() ()
| Operator.

## Detailed Description

template<typename PointOutT>
struct pcl::NdCopyEigenPointFunctor< PointOutT >

Helper functor structure for copying data between an Eigen type and a PointT.

Definition at line 76 of file point_cloud.h.

## Member Typedef Documentation

## Pod

template<typename PointOutT >

using pcl::NdCopyEigenPointFunctor< PointOutT >::Pod = typename traits::POD<PointOutT>::type

Definition at line 78 of file point_cloud.h.

## Constructor & Destructor Documentation

## NdCopyEigenPointFunctor()

template<typename PointOutT >

pcl::NdCopyEigenPointFunctor< PointOutT >::NdCopyEigenPointFunctor | ( | const Eigen::VectorXf & | p1,
|  | PointOutT & | p2
| ) |  |

inline

Constructor.

Parameters

  [in] | p1 | the input Eigen type
  [out] | p2 | the output Point type

Definition at line 84 of file point_cloud.h.

## Member Function Documentation

## operator()()

template<typename PointOutT >
template<typename Key >

void pcl::NdCopyEigenPointFunctor< PointOutT >::operator() | ( |  | ) |

inline

Operator.

Data copy happens here.

Definition at line 91 of file point_cloud.h.

The documentation for this struct was generated from the following file:

- pcl/point_cloud.h